/* Author: Emma Norling, adapted from material by Steve Maddock */
/* Date: 29 March 2018 */
@import "nav.css";
@import "footer.css";

:root {
    --color_lightest: #d4d4d5;
    --color_light:#bababa;
    --color_middle: #6a6a6b;
    --color_dark: #515150;
    --color_darkest: #353535;
    --color_darkest_a: #1b1b1b;
    --padding_default:  10px 5% 1% 5%;
    --padding_aside: 7px;
    --margin_aside: 3px;        /* make sure padding+margin for aside = padding default */
    --margin_main: 90px auto 0;
}

html {
  overflow-y: scroll;
  font-size: 100%;
  margin: 0;
  padding: 0;
}  /* "Sometimes, pages can be shorter than the browser view-port, and when you load a page on the same site that has longer content and uses a scrollbar, content can jump side to side. By forcing a scrollbar no matter the height of our content, we stop this small, but annoying issue." http://www.1stwebdesigner.com/snippets-html5-boilerplate/  */

#controls {
    display: inline-block;
    width: 100%;
}

form {
    display: inline-block;
}

fieldset {
    display: inline-block;
    white-space: nowrap;
    width: -webkit-min-content;
}

#wind_gauge_div {
    display: inline-block;
    padding: 10px 10px;
}

#stats {
    display: inline-block;
    padding: 0px 10px;
    margin-bottom: 20px;
    border: 1px solid gray;
}

#range_labels {
    position: relative;
    width: 90%;
    text-align: left;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

#min_date_label {
    float: left;
}

#max_date_label {
    float: right;
}

section.range-slider {
    position: relative;
    width: 90%;
    height: 35px;
    text-align: center;
    display: block;
    margin-left: auto;
    margin-right: auto;
}

section.range-slider input {
    pointer-events: none;
    position: absolute;
    overflow: hidden;
    left: 0;
    top: 15px;
    width: 90%;
    outline: none;
    height: 18px;
    margin: 0;
    padding: 0;
}

section.range-slider input::-webkit-slider-thumb {
    pointer-events: all;
    position: relative;
    z-index: 1;
    outline: 0;
}

section.range-slider input::-moz-range-thumb {
    pointer-events: all;
    position: relative;
    z-index: 10;
    -moz-appearance: none;
    width: 9px;
}

section.range-slider input::-moz-range-track {
    position: relative;
    z-index: -1;
    background-color: rgba(0, 0, 0, 1);
    border: 0;
}
section.range-slider input:last-of-type::-moz-range-track {
    -moz-appearance: none;
    background: none transparent;
    border: 0;
}

section.range-slider input[type=range]::-moz-focus-outer {
  border: 0;
}


@media only screen and (min-width: 401px) {
  #about picture {
    float: right;
  }
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* ~~~general tags~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */

body {
  width: 100%;
  min-width: 320px;
  max-width: 1200px;
  margin: 0 auto;
  padding: 0;
  color: #777;
  background-color: white;
  font: normal 100%/1.5 Calibri, sans-serif;
}

input {
  color: #777;
  font-size: 100%;
}

h1 {
  font-size: 140%;
  color: var(--color_dark);
}

h1.leftalign {
  text-align: left;
}

h2 {
  font-size: 1.2em;
  color: var(--color_dark);
}

*.fn {
    font-size: 1.4em;
    text-weight: bold;
}

a { 
  text-decoration: none;
  color: var(--color_middle);
  outline: 0;
  /*transition: text-decoration 0.2s, color 0.2s, text-shadow 0.2s; */
}

a:link, a:visited {
    text-decoration: none;
    font-weight: bold;
    color: var(--color_middle);
    outline: none;
}

a:hover { 
  color: var(--color_darkest); 
  /*text-shadow: 0px 0px 5px var(--color_light); */
}

aside {
    width: 20%;
    min-width: 120px;
    font-size: 85%;
    font-style: italic;
    float: right;
    border-style: solid;
    border-width: 1px;
    border-radius: 2px;
    padding: 7px;
    margin: 3px;
    page-break-inside: avoid;
    break-inside: avoid;
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* ~~~main content~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */

main {
  width: 90%;
  margin: 0;
  padding: 0 5% 1% 5%;
  text-align: left;
  background-color: white;
}

.floatright {
  float: right;
  margin-left: 10px;
}

div.demonstrators {
  margin: 0 0 0 20px;
  max-width: 150px;
  display: grid;
  float: right;
}

figure {
  margin: 0.67em 0 0 5%;
  padding: 0;
}

figure.maxwidth100 {
  max-width: 100px;
}

figure.maxwidth150 {
  max-width: 150px;
}

figure.left {
  float: left;
}

figure.right {
  float: right;
}

figure img {
  max-width: 100%;
}

figcaption {
  font-size: 70%;
  text-align: center;
}

div.row {
  display: flex;
  justify-content: space-between;
  border-bottom: 1px solid var(--color_light);
}

div.row.last {
  border-bottom: none;
}

div.row div p:first-child {
  font-size: 1.2em;
  color: var(--color_dark);
}

div.row span.important {
  font-size: 1.2em;
  color: var(--color_dark);
}

div.row div.pictures {
  display: flex;
  justify-content: end;
}

div.row div.pictures figure:first-child {
  margin-left: 0;
}

#backtotop {
  position: fixed;
  right: 0;
  bottom: 2em;
  background-color: var(--color_middle);
  color: white;
  margin: 0;
  padding: 3px;
  /*text-align: right; */
}

#backtotop a {
  color: white;
}

#backtotop a:hover {
  color: var(--color_lightest);
}

@media screen and (min-width: 1000px) {
  #backtotop {
    display: none;
  }
}

/* ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
/* ~~~@media~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ */
@media screen and (min-width: 380px) {
  header {
    font-size: 1.2em;
  } 
}

@media screen and (min-width: 480px) {
  div.demonstrators {
    max-width: 200px;
  }
}

@media screen and (min-width: 620px) {
  #backtotop {
    bottom: 6em;
  }
}

@media screen and (min-width: 640px) {
  div.row {
    width: 95%;
    margin: auto;
    flex-flow: row;
  }
  
  div.row div.pictures figure:first-child {
    margin-left: 20px;
  }
}

@media screen and (min-width: 680px) {
  main {
    padding-bottom: 1%;
  }

}

@media screen and (min-width: 1000px) {

  main #about {
    page-break-inside: avoid;
    break-inside: avoid;

  }
  
  main {
    background-image: url("../images/weather-station.jpg");
    background-size: 100%;
    background-repeat: no-repeat;
    padding-top: 2em;
  }
  
  main *.nobreak {
    page-break-inside: avoid;
    break-inside: avoid;
  }

  main.singlehalf {
    width: 45%;
  }
}
/* ~~~end~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~*/
